Bug 52994 - kisdndock - ifup ippp0
kisdndock - ifup ippp0
Product: Red Hat Linux
Classification: Retired
Component: kdenetwork (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Ngo Than
Ben Levenson
Depends On:
  Show dependency treegraph
Reported: 2001-09-01 06:08 EDT by Inger Karin Haarbye
Modified: 2007-04-18 12:36 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2001-09-13 05:10:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Inger Karin Haarbye 2001-09-01 06:08:33 EDT
Description of Problem:

Isdn is now really getting better! My Teles 16.3C ISA-PnP card is now
detected and activated, and with redhat-config-network I can set up ippp0.
kisdndock looks very nice too.
When running redhat-config-network I don't check "activate on boot" in the
ISDN dialup configuration. (Now mostly because I don't use ISDN at all -
but ADSL). I then have to do a manually "ifup ippp0" before kisdndock is
started. I think it would be nice if kisdndock could do a "ifup ippp0" if
ippp0 was not up?  

Version-Release number of selected component (if applicable):


How Reproducible:

Every time

Steps to Reproduce:
1. Configure ISDN-card and device with redhat-config-network. 
2. In ISDN dialup configuration: NOT check "activate on boot" 
3. After boot: running kisdndock 

Actual Results:

Running kisdndock now just gives me a white "square", not green.
I have to manually do a "ifup ippp0" _before_ running kisdndock.

Expected Results:

ippp0 activated from kisdndock if not already active.
Comment 1 Bernhard Rosenkraenzer 2001-09-03 08:09:45 EDT
Fixed in 2.2-6
Comment 2 Inger Karin Haarbye 2001-09-11 15:08:24 EDT
Don't work here! kdenetwork-2.2-6  from rawhide. Still the same "white 
square", have to do manually "/sbin/ifup ippp0"
Comment 3 Bernhard Rosenkraenzer 2001-09-11 15:24:31 EDT
Worked in my test setup (simulated isdn cards)...

Than, please have a look - you have the proper equipment to try and reproduce 

Comment 4 Ngo Than 2001-09-12 04:25:51 EDT
i cannot reproduce it. It works for me with ISA 16.3 PnP Teles.
Dou you install a new isdn4k-utils-3.1-46.
Comment 5 Inger Karin Haarbye 2001-09-12 12:07:05 EDT

Teles 16.3C PnP (HisaX type=14)

It works for me if (and only if) ippp0 is up already. 
Comment 6 Inger Karin Haarbye 2001-09-12 14:11:36 EDT
I just downloaded kdenetwork-2.2-7 from enigma - works!
Comment 7 Inger Karin Haarbye 2001-09-13 05:10:48 EDT
I have installed Enigma today, and I have to say that kisdndock (and 
redhat-config-network) works very nice. The problem with isapnp is gone too.

I don't like that kisdndock is autostarted with KDE, because this doesn't make 
much sense to me when I unchecked the "activate on boot" in "dialup 

If I connect to my ISP and then quit kisdndock, the connection is still 
active. This could be OK as you can kill your X without loosing the 
connection, but I think some users may think that if they quit kisdndock the 
connection will be taken down. I don't really know what is best...

Comment 8 Ngo Than 2001-09-19 07:32:55 EDT
if you don't want to start kisdndock at start KDE, just disable it in
control-center->Network->Kisdndock->Lauch kisdndock at KDE startup

Note You need to log in before you can comment on or make changes to this bug.